Skip to content

WhatsApp Business Cloud API - Groups Invite Link API

Version

v23.0

Copy for LLM

View as Markdown

Download OpenAPI spec

The Groups API gives you simple functions to control groups through their lifecycle.

When you create a new group, an invite link is created for inviting participants to the group.

Since you cannot manually add participants to the group, simply send a message with your invite link to WhatsApp users who you would like to join the group.

Base URL

| | | | https://graph.facebook.com |

Endpoints

| | | | POST | /{Version}/{group_id}/invite_link | | DELETE | /{Version}/{group_id}/invite_link |


POST /{Version}/{group_id}/invite_link

Create a new group invite link

Request Syntax

POST /{Version}/{group_id}/invite_link

Try it

Select language

cURLJavaScriptPython


curl --request POST \  
  --url 'https://graph.facebook.com/{Version}/{group_id}/invite_link' \  
  --header 'Authorization: Bearer <Token>' \  
  --header 'Content-Type: application/json' \  
  --data '{}'

Select status code

200


{  
  "messaging_product": "\"whatsapp\"",  
  "invite_link": "\"https:\\/\\/chat.whatsapp.com\\/LINK_ID\""  
}

Header Parameters


User-Agentstring

The user agent string identifying the client software making the request.

Authorizationstring·required

Bearer token for API authentication. This should be a valid access token obtained through the appropriate OAuth flow or system user token.

Content-TypeOne of "application/json", "application/x-www-form-urlencoded", "multipart/form-data"·required

Media type of the request body

Path Parameters


Versionstring·required

group_idstring·required

Group ID

Request BodyRequired


Content Type: application/json

Schema: object

Show child attributes


messaging_product"whatsapp"·required

Responses


Create a new group invite link

200

Group invite link created successfully

Content Type: application/json

Schema: object

Show child attributes


messaging_productstring


invite_linkstring

Group invite link

Select language

cURLJavaScriptPython


curl --request POST \  
  --url 'https://graph.facebook.com/{Version}/{group_id}/invite_link' \  
  --header 'Authorization: Bearer <Token>' \  
  --header 'Content-Type: application/json' \  
  --data '{}'

Select status code

200


{  
  "messaging_product": "\"whatsapp\"",  
  "invite_link": "\"https:\\/\\/chat.whatsapp.com\\/LINK_ID\""  
}

Delete an existing group invite link

Request Syntax

DELETE /{Version}/{group_id}/invite_link

Try it

Select language

cURLJavaScriptPython


curl --request DELETE \  
  --url 'https://graph.facebook.com/{Version}/{group_id}/invite_link' \  
  --header 'Authorization: Bearer <Token>' \  
  --header 'Content-Type: application/json' \  
  --data '{}'

Select status code

200


{  
  "messaging_product": "\"whatsapp\"",  
  "success": "\"true\""  
}

Header Parameters


User-Agentstring

The user agent string identifying the client software making the request.

Authorizationstring·required

Bearer token for API authentication. This should be a valid access token obtained through the appropriate OAuth flow or system user token.

Content-TypeOne of "application/json", "application/x-www-form-urlencoded", "multipart/form-data"·required

Media type of the request body

Path Parameters


Versionstring·required

group_idstring·required

Group ID

Request BodyRequired


Content Type: application/json

Schema: object

Show child attributes


messaging_product"whatsapp"·required

Responses


Delete an existing group invite link

200

Group invite link deleted successfully

Content Type: application/json

Schema: object

Show child attributes


messaging_productstring


successstring

Select language

cURLJavaScriptPython


curl --request DELETE \  
  --url 'https://graph.facebook.com/{Version}/{group_id}/invite_link' \  
  --header 'Authorization: Bearer <Token>' \  
  --header 'Content-Type: application/json' \  
  --data '{}'

Select status code

200


{  
  "messaging_product": "\"whatsapp\"",  
  "success": "\"true\""  
}

Authentication

| | | | Scheme | Type | Location | | bearerAuth | HTTP Bearer | Header: Authorization |

Usage Examples

bearerAuth:

Include Authorization: Bearer your-token-here in request headers

Global Authentication Requirements

All endpoints require:

bearerAuth

Unofficial mirror for reference/search purposes. All content originates from developers.facebook.com — see the source link at the top of each page. Machine-readable indexes: llms.txt · llms-full.txt · About